package tests;

import static org.junit.Assert.*;

import org.junit.Test;

import model.ListUtilities;

public class TestListUtilities {

	@Test
	public void test_1() {
		ListUtilities util = new ListUtilities();
		
		Node<String> input = null; // empty chain
		Node<String> output = util.reverseOf(input);
		assertNull(output);
	}
	
	@Test
	public void test_2() {
		ListUtilities util = new ListUtilities();
		
		Node<String> input = new Node<>("Alan", new Node<>("Mark", new Node<>("Tom", null))); // empty chain
		Node<String> output = util.reverseOf(input);
		assertEquals("Tom", output.getElement());
		assertEquals("Mark", output.getNext().getElement());
		assertEquals("Alan", output.getNext().getNext().getElement());
		assertNull(output.getNext().getNext().getNext());
	}
}
